For the complete documentation index, see llms.txt. This page is also available as Markdown.

Proxy Insight

Introduction

Proxy Insight is one of the core features we are introducing in HypeProxy.io v2.1 and it allows you to get a lot of information about your proxies and their uses.

Keep in mind that if we were to introduce new products that are not just proxies (like a VPN service for example) we will keep the term Proxy Insight.

All these endpoints require the identifier of your product (called productDetailsId).

API Reference 🔗

Proxy Insight currently contains 4 endpoints, each rate limited to 1 call every 30 seconds.

Ping a Proxy

Perform a ping request to the product

get
Authorizations
AuthorizationstringRequired

Specify the JWT token.

Path parameters
productDetailsIdstring · uuidRequired

Product Details Id

Responses
200

Success

application/json
isOperationalbooleanOptional
reasoninteger · enumOptionalPossible values:
elapsedMillisecondsinteger · int64Optional
get/v2/Insight/Ping/{productDetailsId}
200

Success

Get Remote IP Address

Get the remote IP address

get
Authorizations
AuthorizationstringRequired

Specify the JWT token.

Path parameters
productDetailsIdstring · uuidRequired

Product Details Id

Responses
200

Success

application/json
isOperationalbooleanOptional
reasoninteger · enumOptionalPossible values:
elapsedMillisecondsinteger · int64Optional
get/v2/Insight/Ip/{productDetailsId}
200

Success

Get IP Detailed Information

Get more IP Information

get
Authorizations
AuthorizationstringRequired

Specify the JWT token.

Path parameters
productDetailsIdstring · uuidRequired

Product Details Id

Responses
200

Success

No content

get/v2/Insight/IpDetails/{productDetailsId}
200

Success

No content

Get IP Threats Information

Get IP threats

get
Authorizations
AuthorizationstringRequired

Specify the JWT token.

Path parameters
productDetailsIdstring · uuidRequired

Product Details Id

Responses
200

Success

No content

get/v2/Insight/IpThreats/{productDetailsId}
200

Success

No content

Last updated